paths:
  scilab_path: C:\Program Files\scilab-6.1.0\bin\Scilex.exe
  GMAT_BIN : D:\j.puech\Documents\ISAE_Creme\creme-systeme\0_Simulation\GMAT_Application\bin\GMAT.exe
  #GMAT_BIN : ../../0_Simulation/GMAT_Application\bin\GMAT.exe
  #GMAT_BIN : /home/tgateau/Utils/GMAT/GMAT/R2019aBeta1/bin/GMAT-R2019aBeta1

SIMULATION:
  report_name: Creme_Elliptic_12h_00h_30Wh
  total_time: 1[days]               # Total simulation time [days]

ORBIT:
  epoch : 2023,03,20,00,00,00       # Initial simulation epoch YYYY,MM,DD,hh,mm,ss
  SMA : 7078.14[km]                 # Semi major axis [km]
  ECC : 0.0353                      # Eccentricity
  INC : 98.167025[deg]              # Inclination [deg]
  RAAN : 0[deg]                     # right ascension of the ascending node [deg]
  AOP : 0.0[deg]                    # Argument of periapsis [deg]
  TA : 0.0[deg]                     # True Anomaly [deg]

POWER_BUDGET:
  TotBatPower: 50[Wh]       # Max battery power [Wh]
  SolarPower: 24[W]         # Solar panels delivery power [W]
  Pmesure: 9[W]             # Power consumption in mode nominal (mesure) [W] 
  Pvidage: 18[W]            # Power consumption in mode vidage station [W]

DATA_BUDGET:
  TC_debit_nominal: 16[kbit/s]  # nominal TeleCommand rate [kbit/s]
  TM_debit_nominal: 225[kbits/s] # nominal TeleMetry rate [kbit/s]

CONSTANTS:
  radius_earth : 6378.136  #km
  c : 299792458            #m/s
  k_dB : -228.6            #dB Boltzman constant

SPACECRAFT_FLIGHT_DYNAMICS:
  SC_altitude :  0              #altitude in km, put 0 if defined automatically later

GROUNDSTATION_LOCATION:
  GS_altitude :  115            #altitude in m
  GS_minElevation : 10          #minimum elevation [deg]
  GS_latitude : 43[deg]
  GS_longitude: 1.5[deg]

DOWNLINK:
  frequency: 2.2635e9 
  #Hz downlink frequency - S-Band
  data_rate : 225e3
  #bit/s downlink data rate
  required_BER_from_Modulation : 5 
  #12.5 pour un Eb/N0 de 10-9 #10.5 pour un Eb/N0 de 10-7
  #dB Required Eb/N0 to get the Bit Error Rate you want, function of the modulation
  modulation: "QPSK"
  #cortL_bandwidth: 152.05
  # Hz Cortex loop bandwidth
  system_margin : 5
  #dB System margin to take into account as a security

UPLINK:
  frequency: 2.086e9 
  #Hz downlink frequency - VHF
  data_rate : 16e3
  #bit/s downlink data rate
  required_BER_from_Modulation: 10.5
  #dB Required Eb/N0 to get the Bit Error Rate you want, function of the modulation
  modulation: "PCM"
  system_margin : 5
  #dB System margin to take into account as a security

PROPAGATION_LOSSES:
  # Data computed from https://amsat-uk.org/tag/link-budget/
  loss_pol: 3
  #dB Polarisation Loss (depends on both antennas)
  loss_atm: 1.1
  #dB Atmospheric gas attenuation (depends on the elevation angle)
  loss_scin: 0.0
  #db Scintillation loss
  loss_rain: 0.0
  #dB Rain attenuation
  loss_cloud: 0.0
  #dB Cloud attenuation
  loss_si: 0.0
  #dB Snow & Ice attenuation
  loss_misc : 1.5
  #dB

SPACECRAFT_TRANSMITTER:
  SC_power_tx: 2
  #W Transmitter output power
  SC_ant_gain_tx: 6.5
  #dBi spacecraft transmitter antenna gain, combination of directivity and efficiency
  SC_loss_cable_tx: 0.5
  #dB spacecraft transmitter cable loss
  SC_loss_connector_tx: 0.5
  #dB spacecraft transmitter cable loss
  SC_loss_feeder_tx: 1.5
  #dB Coupler loss
  SC_misc : 0
  #Other in-line loisses, e.g. Antenna splitter #0.85 ?
  SC_loss_point_tx: 6
  #dB spacecraft transmitter pointing loss 65° -> 6.9 # 30° -> 1.3 6 at 60°

SPACECRAFT_RECEIVER:
  #AnyWaves
  SC_ant_gain_rx: 6.5 
  #dBi spacecraft receiver antenna gain at 60°
  #ANYWAVES-S-Band-Antenna
  SC_eta_rx : 0.92
  #efficiency
  SC_loss_point_rx: 6
  #dB spacecraft receiver pointing loss #65°-> 6.9dB | 30° -> 1.3 dB
  SC_loss_cable_rx: 0.5
  #dB spacecraft receiver cable loss
  SC_loss_connector_rx: 0.5
  #dB spacecraft receiver connector loss
  SC_LNA_gain : 0
  SC_T_rx : 500 
  #ground station Temperature in Kelvin : sky: 35K - default 200 ?? 400 in BE #K spacecraft effective noise temperature


GROUND_STATION_RECEIVER:
  ###############
  #efficiency
  eta_rx : 0.5
  #efficiency
  antennaDiameter : 3
  #diameter (m)
  GS_LNA_gain: 0 
  #20
  #dB
  GS_T_rx : 300
  #ground station Temperature in Kelvin : sky: 35K - default TP 200 ?? receiver noise temperature
  GS_loss_point_rx: 3
  #dB ground station receiver pointing loss -> 1 degree error : 1.2 / 2degree : 5.1 (source AMSAT)
  GS_loss_cable_rx: 0.5 
  #dB ground station receiver cable loss
  GS_loss_cable_D_rx: 4
  #dB ground station receiver cable loss
  GS_loss_connector_rx: 0.1
  #dB ground station transmitter cable loss
  
GROUND_STATION_TRANSMITTER:
  #https://www.rfhamdesign.com/products/parabolicdishkit/3-meter-6-petal-dish/index.php 
  GS_power_tx: 50
  #W
  GS_line_loss_tx: 4.5
  #dB ground station transmission line loss
  GS_loss_connector_tx: 0.5
  #dB spacecraft transmitter cable loss
  GS_ant_gain_tx: 35.4
  #dBi ground station transmitter antenna gain
  GS_loss_point_rx: 1.2
  #dB Ground station emitter pointing loss